Bug 1268099 - Review Request: python-geoip - Provides GeoIP functionality for Python
Summary: Review Request: python-geoip - Provides GeoIP functionality for Python
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1268093
TreeView+ depends on / blocked
 
Reported: 2015-10-01 20:07 UTC by William Moreno
Modified: 2017-03-13 13:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-13 13:32:19 UTC
Type: ---
jujens: fedora-review?


Attachments (Terms of Use)

Description William Moreno 2015-10-01 20:07:17 UTC
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/python-geoip.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/python-geoip-1.2-1.fc22.src.rpm
Description: Provides GeoIP functionality for Python
Fedora Account System Username: williamjmorenor

Rawhide Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11297756

Comment 1 Upstream Release Monitoring 2015-10-01 20:08:48 UTC
williamjmorenor's scratch build of python-geoip-1.2-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11297747

Comment 2 Julien Enselme 2015-11-08 15:23:05 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 11 files have unknown
     license. Detailed output of licensecheck in /tmp/1268099-python-
     geoip/licensecheck.txt
The setup.py file says the software is under the BSD license and so says licensecheck. However, your spec file states MIT. Can you please correct this?

[X]: License file installed when any subpackage combination is installed.
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.4/site-
     packages/__pycache__(python3-pytest, python3-path, python3-virtualenv,
     python3-decorator, python3-six, python3-libs, python3-feedparser,
     python3-augeas, langtable-python3, python3-pytest-cov,
     python3-setuptools, python3-ntplib, python3-autopep8)
Maybe use something a little more precise than %{python3_sitelib}/*. Maybe %{python3_sitelib}/__pycache__/geoip* and %{python3_sitelib}/geoip*

[X]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
You have an empty entry with just a dash. You should also add the version of the software in the first line of the changelog.

[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-geoip , python3-geoip
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-geoip-1.2-1.fc24.noarch.rpm
          python3-geoip-1.2-1.fc24.noarch.rpm
          python-geoip-1.2-1.fc24.src.rpm
python2-geoip.noarch: W: no-version-in-last-changelog
python3-geoip.noarch: W: no-version-in-last-changelog
python-geoip.src: W: no-version-in-last-changelog
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python3-geoip.noarch: W: no-version-in-last-changelog
python2-geoip.noarch: W: no-version-in-last-changelog
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python3-geoip (rpmlib, GLIBC filtered):
    python(abi)

python2-geoip (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-geoip:
    python3-geoip

python2-geoip:
    python-geoip
    python-geoip(x86-64)
    python2-geoip



Source checksums
----------------
http://pypi.python.org/packages/source/p/python-geoip/python-geoip-1.2.tar.gz :
  CHECKSUM(SHA256) this package     : b7b11dab42bffba56943b3199e3441f41cea145244d215844ecb6de3d5fb2df5
  CHECKSUM(SHA256) upstream package : b7b11dab42bffba56943b3199e3441f41cea145244d215844ecb6de3d5fb2df5


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1268099
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Julien Enselme 2015-11-08 18:42:30 UTC
Maybe you should change the name of this package. It doesn't conflict with python-GeoIP since the case is different, but it may be confusing. Maybe the ugly python-python-geoip?

Comment 4 William Moreno 2015-11-20 23:23:31 UTC
I think than this name do not follow the naming guidelines.

Comment 5 Julien Enselme 2015-11-27 12:49:19 UTC
> I think than this name do not follow the naming guidelines.

I don't know. Maybe you should take the issue to the packaging list to have more opinions on this.

Comment 6 Julien Enselme 2016-07-05 12:42:59 UTC
Any progress on this review?

Comment 7 Julien Enselme 2017-03-13 13:32:19 UTC
Closing this due to no activity. If you want to continue the packaging, please re-open.


Note You need to log in before you can comment on or make changes to this bug.